gethostbynamel
getmxrr
Network Functions
PHP Manual

# gethostname

(PHP >= 5.3.0)

gethostname — Gets the host name

### Description

string gethostname ( void )

gethostname() gets the standard host name for the local machine.

### Return Values

Returns a string with the hostname on success, otherwise `FALSE` is returned.

### Examples

Example #1 A simple gethostname() example

`<?php
echo gethostname(); // may output e.g,: sandie
// Or, an option that also works before PHP 5.3
echo php_uname('n'); // may output e.g,: sandie
?>`

### See Also

- gethostbyname() - Get the IPv4 address corresponding to a given Internet host name
- gethostbyaddr() - Get the Internet host name corresponding to a given IP address
- php_uname() - Returns information about the operating system PHP is running on

gethostbynamel
getmxrr
Network Functions
PHP Manual